package com.ximai.mes.report.mapper;

import com.ximai.mes.report.request.WeeklyProductionReportRequest;

import java.util.List;
import java.util.Map;

public interface WeeklyProductionReportMapper {
    List<Map> getListByProcess(WeeklyProductionReportRequest weeklyProductionReportRequest);

    List<Map> getListByWorkshop(WeeklyProductionReportRequest weeklyProductionReportRequest);

    List<Map> getListByWorkstation(WeeklyProductionReportRequest weeklyProductionReportRequest);

    List<Map> getListByWorkunit(WeeklyProductionReportRequest weeklyProductionReportRequest);

    List<Map> getListByUser(WeeklyProductionReportRequest weeklyProductionReportRequest);
}
